Gentoo Archives: gentoo-commits

From: Brian Evans <grknight@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-db/mariadb/
Date: Fri, 28 Jul 2017 01:01:53
Message-Id: 1501203698.5ce372bc76f3f0b3995b584a38b9b8247070ad07.grknight@gentoo
1 commit: 5ce372bc76f3f0b3995b584a38b9b8247070ad07
2 Author: Brian Evans <grknight <AT> gentoo <DOT> org>
3 AuthorDate: Fri Jul 28 01:01:38 2017 +0000
4 Commit: Brian Evans <grknight <AT> gentoo <DOT> org>
5 CommitDate: Fri Jul 28 01:01:38 2017 +0000
6 URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5ce372bc
7
8 dev-db/mariadb: Reorganize configure options and remove redundant doc install in pkg_postinst
9
10 Package-Manager: Portage-2.3.6, Repoman-2.3.3
11
12 dev-db/mariadb/mariadb-10.2.7-r1.ebuild | 28 +++++++---------------------
13 1 file changed, 7 insertions(+), 21 deletions(-)
14
15 diff --git a/dev-db/mariadb/mariadb-10.2.7-r1.ebuild b/dev-db/mariadb/mariadb-10.2.7-r1.ebuild
16 index 2cfec9966ae..070fae5e766 100644
17 --- a/dev-db/mariadb/mariadb-10.2.7-r1.ebuild
18 +++ b/dev-db/mariadb/mariadb-10.2.7-r1.ebuild
19 @@ -200,16 +200,6 @@ pkg_postinst() {
20
21 # Minimal builds don't have the MySQL server
22 if use server ; then
23 - docinto "support-files"
24 - dodoc support-files/magic
25 -
26 - docinto "scripts"
27 - for script in scripts/mysql* ; do
28 - if [[ -f "${script}" && "${script%.sh}" == "${script}" ]]; then
29 - dodoc "${script}"
30 - fi
31 - done
32 -
33 if use pam; then
34 einfo
35 elog "This install includes the PAM authentication plugin."
36 @@ -361,10 +351,6 @@ multilib_src_configure() {
37 mycmakeargs+=( -DWITH_SSL=bundled )
38 fi
39
40 - if ! multilib_is_native_abi ; then
41 - mycmakeargs+=( -DWITHOUT_TOOLS=1 )
42 - fi
43 -
44 # bfd.h is only used starting with 10.1 and can be controlled by NOT_FOR_DISTRIBUTION
45 if multilib_is_native_abi; then
46 mycmakeargs+=(
47 @@ -373,6 +359,7 @@ multilib_src_configure() {
48 )
49 else
50 mycmakeargs+=(
51 + -DWITHOUT_TOOLS=1
52 -DWITH_READLINE=1
53 -DNOT_FOR_DISTRIBUTION=0
54 )
55 @@ -413,15 +400,14 @@ multilib_src_configure() {
56 -DWITH_LIBARCHIVE=$(usex backup ON OFF)
57 -DINSTALL_SQLBENCHDIR=share/mariadb
58 -DPLUGIN_ROCKSDB=$(usex rocksdb DYNAMIC NO)
59 + # systemd is only linked to for server notification
60 + -DWITH_SYSTEMD=$(usex systemd)
61 )
62 if use test ; then
63 # This is needed for the new client lib which tests a real, open server
64 mycmakeargs+=( -DSKIP_TESTS=ON )
65 fi
66
67 - # systemd is only linked to for server notification
68 - mycmakeargs+=( -DWITH_SYSTEMD=$(usex systemd) )
69 -
70 if [[ ( -n ${MYSQL_DEFAULT_CHARSET} ) && ( -n ${MYSQL_DEFAULT_COLLATION} ) ]]; then
71 ewarn "You are using a custom charset of ${MYSQL_DEFAULT_CHARSET}"
72 ewarn "and a collation of ${MYSQL_DEFAULT_COLLATION}."
73 @@ -715,10 +701,10 @@ multilib_src_test() {
74 export MTR_PARALLEL="${MTR_PARALLEL:-auto}"
75
76 # create directories because mysqladmin might run out of order
77 - mkdir -p "${T}"/var-tests{,/log}
78 + mkdir -p "${T}"/var-tests{,/log} || die
79
80 # Run mysql tests
81 - pushd "${TESTDIR}" || die
82 + pushd "${TESTDIR}" > /dev/null || die
83
84 # These are failing in MariaDB 10.0 for now and are believed to be
85 # false positives:
86 @@ -741,7 +727,7 @@ multilib_src_test() {
87 perl mysql-test-run.pl --force --vardir="${T}/var-tests" --reorder
88 retstatus_tests=$?
89
90 - popd || die
91 + popd > /dev/null || die
92
93 # Cleanup is important for these testcases.
94 pkill -9 -f "${S}/ndb" 2>/dev/null
95 @@ -751,7 +737,7 @@ multilib_src_test() {
96 [[ $retstatus_unit -eq 0 ]] || failures="${failures} test-unit"
97 [[ $retstatus_tests -eq 0 ]] || failures="${failures} tests"
98
99 - [[ -z "$failures" ]] || eerror "Test failures: $failures"
100 + [[ -z "$failures" ]] || die "Test failures: $failures"
101 einfo "Tests successfully completed"
102 }